Bottom Page

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
 I have BeautifulSoup instaled
#11
To be sure you are using the correct version of pip:

1. From a command prompt
2. cd c:\Python27\scripts Change this if python 2.7 is located in a different directory
3. pip install beautifulsoup4
Quote
#12
This is what I get when I try to install it..........pip install beautifulsoup4..........

c:\Python2.7>pip install beautifulsoup4
Requirement already satisfied (use --upgrade to upgrade): beautifulsoup4 in c:\p
ython3.5\lib\site-packages

I can not install anything into python2.7.3
I think I going uninstall it and see about installing python2.7.11
I need to get this working. I just payed alot of money to take this course and they are using 2.7 .

Just my luck python website is down

   
Quote
#13
That message is telling you that you already have it installed and it's up to date.
By the way, is there a reason that you are using python 2,7 and not 3.5?
Quote
#14
yes
I can not install anything into python2.7.3
I think I going uninstall it and see about installing python2.7.11
I need to get this working. I just payed alot of money to take this course and they are using 2.7 .

Yes it is install, but not in 2.7, I need to run it in 2.7 too.
Quote
#15
you didn't follow the steps correctly.
When you ran the pip instruction you were in the
C:\Python27 directory,
not the C:\Python27\scripts directory
Quote
#16
When you have installed python2.7.11.
From cmd cd into Scripts folder in Python27 as i told you before in post.
First you can update pip then install Beautifulsoup4.
c:\Python2.7\Scripts>pip install --upgrade pip
c:\Python2.7\Scripts>pip install beautifulsoup4
Now back to Python2.7 folder(cd ..).
c:\Python2.7>python

This start Python 2.7 and you can do exactly same test as you did for 3.5,
to see that Beautifulsoup4 work for 2.7.
Quote
#17
Having bs4 in python 3.5 does not do me any good I can't run it in python2.7. Some how I should
be able to install it in python2.7
As you can see, python2.7 does not see in at all:


   
Quote
#18
Think we post at same time,read my post over and you should get it to work for 2.7
Quote
#19
Have you tried

pip2.7 install beautifulsoup4    # or what ever the file name is
you might be able to just use "pip2 install filename " if you only have the 2 Python versions installed

make sure both pip versions are up to date first, for example: pip2 install --upgrade pip
If it ain't broke, I just haven't gotten to it yet.
OS: Windows 10, openSuse 42.3, freeBSD 11, Raspian "Stretch"
Python 3.6.5, IDE: PyCharm 2018 Community Edition
Quote
#20
(Nov-04-2016, 05:21 PM)sparkz_alot Wrote: # or what ever the file name is
It's pip,pip2 and pip27 that is placed in Scripts folder of Pyhon2.7.
But his environment Variables Path is set to Python 3.5 Scripts folder.
Therefor is it best as i post and just go into Python 2.7 Scripts folder and do install there.
Then there is no mix-up Shifty
Quote

Top Page

Forum Jump:


Users browsing this thread: 1 Guest(s)